## kdevelop-php 22.12.3

=== debian/changelog ===
kdevelop-php (22.12.3-0ubuntu1) lunar; urgency=medium

  * New upstream release (22.12.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 02 Mar 2023 00:37:22 +0000

kdevelop-php (22.12.2-0ubuntu1) lunar; urgency=medium

  * New upstream release (22.12.2)

 -- Simon Quigley <tsimonq2@kubuntu.org>  Sat, 11 Feb 2023 14:15:42 -0600

=== debian/control ===
Source: kdevelop-php
Section: devel
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Pino Toscano <pino@debian.org>,
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               dh-sequence-kf5,
               extra-cmake-modules (>= 5.78.0~),
               gettext,
               kdevelop-dev (>= 4:22.12.3~),
               kdevelop-pg-qt (>= 2.0),
               libkf5archive-dev (>= 5.78.0~),
               libkf5i18n-dev (>= 5.78.0~),
               libkf5itemmodels-dev (>= 5.78.0~),
               libkf5kcmutils-dev (>= 5.78.0~),
               libkf5texteditor-dev (>= 5.78.0~),
               libkf5threadweaver-dev (>= 5.78.0~),
               qtbase5-dev (>= 5.15.0~),
Standards-Version: 4.6.2
Rules-Requires-Root: no
Homepage: https://www.kdevelop.org/
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kdev-php
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kdev-php

Package: kdevelop-php
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Recommends: kdevelop
Suggests: kdevelop-php-l10n
Enhances: kdevelop
Description: PHP plugin for KDevelop
 KDevelop is an easy to use integrated development environment for KDE.
 It supports a wide range of programming languages and features project
 management, an advanced editor, a class browser and an integrated debugger.
 .
 This package contains the PHP language support plugin.

Package: kdevelop-php-l10n
Section: localization
Architecture: all
Depends: ${misc:Depends}
Description: localization files for KDevelop PHP plugin
 The KDevelop-PHP plugin is the language plugin for the PHP language
 for the KDevelop integrated development environment for KDE.
 .
 This  package contains the localizations for the KDevelop PHP plugin.

## kdevelop-php 23.04.1

=== debian/changelog ===
kdevelop-php (23.04.1-0xneon+22.04+jammy+release+build24) jammy; urgency=medium

  * Automatic CI Build

 -- Neon CI <neon@kde.org>  Thu, 11 May 2023 14:13:05 +0000

kdevelop-php (23.04.1-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 10 May 2023 18:19:12 +0000

kdevelop-php (22.12.3-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 02 Mar 2023 12:47:51 +0000

kdevelop-php (22.12.2-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 01 Feb 2023 17:15:07 +0000

kdevelop-php (22.12.1-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 05 Jan 2023 15:53:05 +0000

kdevelop-php (22.12.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 07 Dec 2022 11:58:17 +0000

kdevelop-php (22.08.3-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 03 Nov 2022 09:21:37 +0000

kdevelop-php (22.08.3-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 14 Oct 2022 17:54:35 +0000

kdevelop-php (22.08.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 18 Aug 2022 09:24:42 +0000

kdevelop-php (22.04.3-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 07 Jul 2022 12:10:07 +0000

kdevelop-php (22.04.2-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 07 Jun 2022 20:37:53 +0000

kdevelop-php (22.04.1-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 10 May 2022 13:29:43 +0000

kdevelop-php (22.04.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 18 Apr 2022 12:42:10 +0000

kdevelop-php (21.12.3-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 03 Mar 2022 11:03:33 +0000

kdevelop-php (21.12.2-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 03 Feb 2022 10:59:58 +0000

kdevelop-php (21.12.1-0neon) focal; urgency=medium

  [ Jonathan Riddell ]
  * New release

  [ Neon CI ]
  * New release

 -- Neon CI <neon@kde.org>  Wed, 05 Jan 2022 00:44:06 +0000

kdevelop-php (5.6.2-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 02 Feb 2021 00:44:03 +0000

kdevelop-php (5.6.1-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 09 Dec 2020 00:44:03 +0000

kdevelop-php (5.6.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 08 Sep 2020 00:44:15 +0000

kdevelop-php (5.5.2-0neon) bionic; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 03 Jun 2020 00:44:34 +0000

kdevelop-php (5.5.1-0neon) bionic; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 06 May 2020 00:44:09 +0000

kdevelop-php (5.5.0-0neon) bionic; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 03 Feb 2020 00:44:17 +0000

kdevelop-php (5.4.6-0neon) bionic; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 07 Jan 2020 00:44:20 +0000

kdevelop-php (5.4.5-0neon) bionic; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 03 Dec 2019 00:44:32 +0000

kdevelop-php (5.4.4-0neon) bionic; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 04 Nov 2019 18:57:40 +0000

kdevelop-php (5.4.3-0neon) bionic; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 21 Oct 2019 17:07:10 +0000

kdevelop-php (5.4.2-0neon) bionic; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 03 Sep 2019 00:52:20 +0000

kdevelop-php (5.4.1-0neon) bionic; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 14 Aug 2019 00:44:27 +0000

kdevelop-php (5.4.0-0neon) bionic; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 06 Aug 2019 00:44:22 +0000

kdevelop-php (5.3.3-0neon) bionic; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 18 Jul 2019 00:46:17 +0000

kdevelop-php (5.3.2-0neon) bionic; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 07 Mar 2019 11:05:11 +0000

kdevelop-php (5.3.1-0neon) bionic; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 07 Dec 2018 00:44:09 +0000

kdevelop-php (5.3.0-0neon) bionic; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 02 Nov 2018 18:31:17 +0000

kdevelop-php (5.2.4-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 21 Aug 2018 13:24:17 +0000

kdevelop-php (5.2.3-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 25 May 2018 13:00:46 +0000

kdevelop-php (5.2.1-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 24 Nov 2017 14:01:44 +0000

kdevelop-php (5.2.0-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 14 Nov 2017 13:16:00 +0000

kdevelop-php (5.1.2-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 29 Aug 2017 14:08:18 +0000

kdevelop-php (5.1.1-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 27 May 2017 15:55:41 +0000

kdevelop-php (5.1.0-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 21 Mar 2017 11:35:36 +0000

kdevelop-php (5.0.4-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 06 Mar 2017 14:24:37 +0000

kdevelop-php (5.0.3-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 14 Dec 2016 17:42:34 +0000

kdevelop-php (5.0.2-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sun, 23 Oct 2016 17:25:39 +0000

=== debian/control ===
Source: kdevelop-php
Section: devel
Priority: optional
Uploaders: Fathi Boudra <fabo@debian.org>,
           Modestas Vainius <modax@debian.org>,
           Andreas Cord-Landwehr <cola@uni-paderborn.de>
Build-Depends: cmake (>= 2.8.12),
               debhelper (>= 9),
               extra-cmake-modules (>= 0.0.9),
               kdevelop-dev,
               kdevelop-pg-qt (>= 2.0),
               kdevplatform-dev (>= 5.0.1),
               libgrantlee5-dev,
               libkf5archive-dev,
               libkf5i18n-dev,
               libkf5itemmodels-dev,
               libkf5kcmutils-dev,
               libkf5newstuff-dev,
               libkf5notifyconfig-dev,
               libkf5syntaxhighlighting-dev,
               libkf5texteditor-dev,
               libkf5threadweaver-dev,
               libqt5webkit5-dev,
               pkg-kde-tools (>= 0.15.16),
               qtbase5-dev
Standards-Version: 3.9.8
Homepage: http://www.kdevelop.org/
Vcs-Git: https://invent.kde.org/neon/extras/kdevelop-php.git
Vcs-Browser: https://invent.kde.org/neon/extras/kdevelop-php
Maintainer: Neon CI <neon@kde.org>

Package: kdevelop-php
Architecture: any
Depends: kdevelop (>= 4:5.0.1), ${misc:Depends}, ${shlibs:Depends}
Suggests: kdevelop-php-l10n
Enhances: kdevelop
Description: PHP plugin for KDevelop
 KDevelop is an easy to use integrated development environment for KDE.
 It supports a wide range of programming languages and features project
 management, an advanced editor, a class browser and an integrated debugger.
 .
 This package contains the PHP language support plugin.

Package: kdevelop-php-l10n
Section: localization
Architecture: all
Depends: ${misc:Depends}
Breaks: kdevelop-php-docs-l10n (<< 5.0),
        kdevelop-php-l10n-ca,
        kdevelop-php-l10n-cavalencia,
        kdevelop-php-l10n-da,
        kdevelop-php-l10n-engb,
        kdevelop-php-l10n-es,
        kdevelop-php-l10n-et,
        kdevelop-php-l10n-fr,
        kdevelop-php-l10n-gl,
        kdevelop-php-l10n-it,
        kdevelop-php-l10n-nds,
        kdevelop-php-l10n-nl,
        kdevelop-php-l10n-pt,
        kdevelop-php-l10n-ptbr,
        kdevelop-php-l10n-sv,
        kdevelop-php-l10n-th,
        kdevelop-php-l10n-uk,
        kdevelop-php-l10n-zhcn,
        kdevelop-php-l10n-zhtw
Replaces: kdevelop-php-docs-l10n (<< 5.0),
          kdevelop-php-l10n-ca,
          kdevelop-php-l10n-cavalencia,
          kdevelop-php-l10n-da,
          kdevelop-php-l10n-engb,
          kdevelop-php-l10n-es,
          kdevelop-php-l10n-et,
          kdevelop-php-l10n-fr,
          kdevelop-php-l10n-gl,
          kdevelop-php-l10n-it,
          kdevelop-php-l10n-nds,
          kdevelop-php-l10n-nl,
          kdevelop-php-l10n-pt,
          kdevelop-php-l10n-ptbr,
          kdevelop-php-l10n-sv,
          kdevelop-php-l10n-th,
          kdevelop-php-l10n-uk,
          kdevelop-php-l10n-zhcn,
          kdevelop-php-l10n-zhtw
Description: localization files for KDevelop PHP plugin
 The KDevelop-PHP plugin is the language plugin for the PHP language
 for the KDevelop integrated development environment for KDE.
 .
 This  package contains the localizations for the KDevelop PHP plugin.

Package: kdevelop-php-docs
Architecture: all
Section: oldlibs
Priority: extra
Depends: kdevelop-php (>= ${source:Version}), ${misc:Depends}
Description: transitional package for kdevelop-php
 This package is a transitional package to migrate to kdevelop-php.
 .
 It can be safely removed after the update.

Package: kdevelop-php-docs-l10n
Architecture: all
Section: oldlibs
Priority: extra
Depends: kdevelop-php-l10n (>= ${source:Version}), ${misc:Depends}
Description: transitional package for kdevelop-php-l10n
 This package is a transitional package to migrate to kdevelop-php-l10n.
 .
 It can be safely removed after the update.

## kdevelop-php 23.08.0

=== debian/changelog ===
kdevelop-php (23.08.0-0ubuntu1) mantic; urgency=medium

  * New upstream release (23.08.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 24 Aug 2023 12:53:23 +0100

kdevelop-php (23.07.90-0ubuntu1) mantic; urgency=medium

  * New upstream (beta) release (23.07.80)
  * Bump KDEV_PLUGIN_VERSION to 512, according to upstream.
  * New upstream (RC) release (23.07.90)

 -- Rik Mills <rikmills@kde.org>  Tue, 15 Aug 2023 02:33:14 +0100

kdevelop-php (23.04.3-0ubuntu1) mantic; urgency=medium

  * New upstream release (23.04.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 06 Jul 2023 14:45:59 +0100

kdevelop-php (23.04.2-0ubuntu1) mantic; urgency=medium

  * New upstream release (23.04.1)
  * Adjust KDEV_PLUGIN_VERSION=511 in debian/rules
  * New upstream release (23.04.2)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Sat, 10 Jun 2023 11:56:19 +0100

=== debian/control ===
Source: kdevelop-php
Section: devel
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Pino Toscano <pino@debian.org>,
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               dh-sequence-kf5,
               extra-cmake-modules (>= 5.78.0~),
               gettext,
               kdevelop-dev (>= 4:23.08.0~),
               kdevelop-pg-qt (>= 2.0),
               libkf5archive-dev (>= 5.78.0~),
               libkf5i18n-dev (>= 5.78.0~),
               libkf5itemmodels-dev (>= 5.78.0~),
               libkf5kcmutils-dev (>= 5.78.0~),
               libkf5texteditor-dev (>= 5.78.0~),
               libkf5threadweaver-dev (>= 5.78.0~),
               qtbase5-dev (>= 5.15.0~),
Standards-Version: 4.6.2
Rules-Requires-Root: no
Homepage: https://www.kdevelop.org/
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kdev-php
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kdev-php

Package: kdevelop-php
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Recommends: kdevelop
Suggests: kdevelop-php-l10n
Enhances: kdevelop
Description: PHP plugin for KDevelop
 KDevelop is an easy to use integrated development environment for KDE.
 It supports a wide range of programming languages and features project
 management, an advanced editor, a class browser and an integrated debugger.
 .
 This package contains the PHP language support plugin.

Package: kdevelop-php-l10n
Section: localization
Architecture: all
Depends: ${misc:Depends}
Description: localization files for KDevelop PHP plugin
 The KDevelop-PHP plugin is the language plugin for the PHP language
 for the KDevelop integrated development environment for KDE.
 .
 This  package contains the localizations for the KDevelop PHP plugin.

## kdevelop-php 23.08.1

=== debian/changelog ===
kdevelop-php (23.08.1-0ubuntu1) mantic; urgency=medium

  * New upstream release (23.08.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 14 Sep 2023 11:58:29 +0100

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
                dh-sequence-kf5,
                extra-cmake-modules (>= 5.78.0~),
                gettext,
-               kdevelop-dev (>= 4:23.08.0~),
+               kdevelop-dev (>= 4:23.08.1~),
                kdevelop-pg-qt (>= 2.0),
                libkf5archive-dev (>= 5.78.0~),
                libkf5i18n-dev (>= 5.78.0~),

## kdevelop-php 23.08.4

=== debian/changelog ===
kdevelop-php (23.08.4-0ubuntu1) noble; urgency=medium

  * New upstream release (23.08.4)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Wed, 13 Dec 2023 10:14:38 +0000

kdevelop-php (23.08.3-0ubuntu1) noble; urgency=medium

  * New upstream release (23.08.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 09 Nov 2023 11:34:10 +0000

kdevelop-php (23.08.2-0ubuntu1) noble; urgency=medium

  * New upstream release (23.08.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 26 Oct 2023 12:30:27 +0100

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
                dh-sequence-kf5,
                extra-cmake-modules (>= 5.78.0~),
                gettext,
-               kdevelop-dev (>= 4:23.08.1~),
+               kdevelop-dev (>= 4:23.08.4~),
                kdevelop-pg-qt (>= 2.0),
                libkf5archive-dev (>= 5.78.0~),
                libkf5i18n-dev (>= 5.78.0~),

## kdevelop-php 23.08.5

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.16)

# KDE Gear version, managed by release service script
set(RELEASE_SERVICE_VERSION_MAJOR "23")
set(RELEASE_SERVICE_VERSION_MINOR "08")
set(RELEASE_SERVICE_VERSION_MICRO "5")

# generate patch level from release service version
set(_micro ${RELEASE_SERVICE_VERSION_MICRO})
if (_micro LESS "10")
    string(PREPEND _micro "0") # pad with 0
endif()
set(RELEASE_SERVICE_BASED_PATCHLEVEL "${RELEASE_SERVICE_VERSION_MAJOR}${RELEASE_SERVICE_VERSION_MINOR}${_micro}")

project(kdev-php VERSION "5.7.${RELEASE_SERVICE_BASED_PATCHLEVEL}")

set(CMAKE_CXX_STANDARD 17)
set(CMAKE_CXX_STANDARD_REQUIRED YES)
set(QT_MIN_VERSION "5.15.0")
set(KF5_DEP_VERSION "5.78.0")

find_package(Threads)
find_package (ECM ${KF5_DEP_VERSION} REQUIRED NO_MODULE)
set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} ${ECM_MODULE_PATH})

include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDECompilerSettings NO_POLICY_SCOPE)

include(ECMAddTests)
include(ECMQtDeclareLoggingCategory)
include(GenerateExportHeader)
include(CMakePackageConfigHelpers)
include(ECMSetupVersion)
include(FeatureSummary)

find_package(Qt5 ${QT_MIN_VERSION} CONFIG REQUIRED Core Widgets)

find_package(KF5 ${KF5_DEP_VERSION} REQUIRED COMPONENTS
    ThreadWeaver
    TextEditor
    I18n
    KCMUtils
)
if(BUILD_TESTING)
  find_package(Qt5Test ${QT_MIN_VERSION} CONFIG REQUIRED)
endif()
# KDevplatform dependency version
set(KDEVPLATFORM_VERSION "${PROJECT_VERSION_MAJOR}.${PROJECT_VERSION_MINOR}")
find_package(KDevPlatform ${KDEVPLATFORM_VERSION} CONFIG REQUIRED)

ecm_setup_version(
    ${PROJECT_VERSION}
    VARIABLE_PREFIX KDEVPHP
    VERSION_HEADER "${CMAKE_CURRENT_BINARY_DIR}/kdevphpversion.h"
    PACKAGE_VERSION_FILE "${CMAKE_CURRENT_BINARY_DIR}/KDevPHPConfigVersion.cmake"
)


set(KDEVPHP_INCLUDE_DIR ${KDE_INSTALL_INCLUDEDIR}/kdev-php)
set(KDEVPHP_PRIVATE_INCLUDE_DIR ${KDEVPHP_INCLUDE_DIR}/private/${PROJECT_VERSION_MAJOR}.${PROJECT_VERSION_MINOR})

find_package(KDevelop-PG-Qt REQUIRED)

if (CMAKE_CXX_COMPILER_ID MATCHES "Clang")
    set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wdocumentation")
endif()

add_definitions( -DTRANSLATION_DOMAIN=\"kdevphp\" )

include_directories(
    ${KDEVPGQT_INCLUDE_DIR}
    ${CMAKE_SOURCE_DIR}
)

add_subdirectory(app_templates)
add_subdirectory(parser)
add_subdirectory(duchain)
add_subdirectory(completion)
add_subdirectory(testprovider)
add_subdirectory(docs)

set(kdevphplanguagesupport_PART_SRCS
    phplanguagesupport.cpp
    phpparsejob.cpp
    phphighlighting.cpp

    codegen/refactoring.cpp
)
ecm_qt_declare_logging_category(kdevphplanguagesupport_PART_SRCS
    HEADER phpdebug.h
    IDENTIFIER PHP
    CATEGORY_NAME "kdevelop.plugins.php"
    DESCRIPTION "KDevelop plugin: PHP language support"
    EXPORT KDEVPHP
)

kdevplatform_add_plugin(kdevphplanguagesupport JSON kdevphpsupport.json
    SOURCES ${kdevphplanguagesupport_PART_SRCS})
target_link_libraries(kdevphplanguagesupport
    KDev::Interfaces
    KDev::Language
    kdevphpduchain
    kdevphpparser
    kdevphpcompletion

    KF5::I18n
    KF5::TextEditor

    Threads::Threads
)

# not writeable so that the refactoring actions get hidden
install(FILES phpfunctions.php DESTINATION ${KDE_INSTALL_DATADIR}/kdevphpsupport PERMISSIONS OWNER_READ GROUP_READ WORLD_READ)

install(FILES org.kde.kdev-php.metainfo.xml DESTINATION ${KDE_INSTALL_METAINFODIR})

# kdebugsettings file
ecm_qt_install_logging_categories(
    EXPORT KDEVPHP
    FILE kdevphpsupport.categories
    DESTINATION ${KDE_INSTALL_LOGGINGCATEGORIESDIR}
)

# create a Config.cmake and a ConfigVersion.cmake file and install them
set(CMAKECONFIG_INSTALL_DIR "${KDE_INSTALL_CMAKEPACKAGEDIR}/KDevPHP")

configure_package_config_file(
  "${CMAKE_CURRENT_SOURCE_DIR}/KDevPHPConfig.cmake.in"
  "${CMAKE_CURRENT_BINARY_DIR}/KDevPHPConfig.cmake"
  INSTALL_DESTINATION  ${CMAKECONFIG_INSTALL_DIR}
)

install(FILES
  "${CMAKE_CURRENT_BINARY_DIR}/KDevPHPConfig.cmake"
  "${CMAKE_CURRENT_BINARY_DIR}/KDevPHPConfigVersion.cmake"
  DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
  COMPONENT Devel
)

install(EXPORT KDevPHPTargets DESTINATION "${CMAKECONFIG_INSTALL_DIR}" FILE KDevPHPTargets.cmake)
install(FILES "${CMAKE_CURRENT_BINARY_DIR}/kdevphpversion.h" DESTINATION ${KDEVPHP_INCLUDE_DIR})

ki18n_install(po)

feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== debian/changelog ===
kdevelop-php (23.08.5-0ubuntu3) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 17:02:49 +1100

kdevelop-php (23.08.5-0ubuntu2) noble; urgency=medium

  * No-change rebuild against libqt5core5t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 15 Mar 2024 04:53:00 +0000

kdevelop-php (23.08.5-0ubuntu1) noble; urgency=medium

  * New upstream release (23.08.5)

 -- Scarlett Moore <sgmoore@debian.org>  Thu, 22 Feb 2024 09:44:21 -0700

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
                dh-sequence-kf5,
                extra-cmake-modules (>= 5.78.0~),
                gettext,
-               kdevelop-dev (>= 4:23.08.4~),
+               kdevelop-dev (>= 4:23.08.5~),
                kdevelop-pg-qt (>= 2.0),
                libkf5archive-dev (>= 5.78.0~),
                libkf5i18n-dev (>= 5.78.0~),

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# from kdevelop
export KDEV_PLUGIN_VERSION=512

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -Skf5 -- -DBUILD_TESTING=OFF

execute_after_dh_auto_install:
	# do not ship the development stuff for now
	rm -rf debian/tmp/usr/include/
	rm -rf debian/tmp/usr/lib/*/cmake/

.PHONY: override_dh_auto_test

## kdevelop-php 24.12.0

=== debian/changelog ===
kdevelop-php (24.12.0-0ubuntu1) plucky; urgency=medium

  * New upstream release (24.12.0)
  * Update build deps and build system for Qt6/KF6.
  * Bump KDEV_PLUGIN_VERSION to 61, according to upstream.
  * Update install files.
  * Bump stardards to 4.7.0, no changes required.

 -- Rik Mills <rikmills@kde.org>  Mon, 30 Dec 2024 04:09:33 +0000

=== debian/control ===
--- 
+++ 
@@ -6,19 +6,17 @@
 Uploaders: Pino Toscano <pino@debian.org>,
 Build-Depends: cmake (>= 3.16~),
                debhelper-compat (= 13),
-               dh-sequence-kf5,
-               extra-cmake-modules (>= 5.78.0~),
+               dh-sequence-kf6,
+               extra-cmake-modules (>= 6.0.0~),
                gettext,
-               kdevelop-dev (>= 4:23.08.5~),
-               kdevelop-pg-qt (>= 2.0),
-               libkf5archive-dev (>= 5.78.0~),
-               libkf5i18n-dev (>= 5.78.0~),
-               libkf5itemmodels-dev (>= 5.78.0~),
-               libkf5kcmutils-dev (>= 5.78.0~),
-               libkf5texteditor-dev (>= 5.78.0~),
-               libkf5threadweaver-dev (>= 5.78.0~),
-               qtbase5-dev (>= 5.15.0~),
-Standards-Version: 4.6.2
+               kdevelop-dev (>= 4:24.12.0~),
+               kdevelop-pg-qt (>= 2.3),
+               libkf6i18n-dev (>= 6.0.0~),
+               libkf6kcmutils-dev (>= 6.0.0~),
+               libkf6texteditor-dev (>= 6.0.0~),
+               libkf6threadweaver-dev (>= 6.0.0~),
+               qt6-base-dev (>= 6.5.0~)
+Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Homepage: https://www.kdevelop.org/
 Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kdev-php

=== debian/rules ===
--- 
+++ 
@@ -4,13 +4,13 @@
 #export DH_VERBOSE=1
 
 # from kdevelop
-export KDEV_PLUGIN_VERSION=512
+export KDEV_PLUGIN_VERSION=61
 
 %:
 	dh $@
 
 override_dh_auto_configure:
-	dh_auto_configure -Skf5 -- -DBUILD_TESTING=OFF
+	dh_auto_configure -Skf6 -- -DBUILD_TESTING=OFF
 
 execute_after_dh_auto_install:
 	# do not ship the development stuff for now

## kdevelop-php 24.12.1

=== debian/changelog ===
kdevelop-php (24.12.1-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (24.12.1).
  * Build against Qt6, update build-deps and deps with the info from cmake.
  * Bump Standards-Version to 4.7.0, no change required.
  * Added myself to the uploaders.
  * Update the list of installed files.
  * Build with hardening=+all build hardening flag.

 -- Aurélien COUDERC <coucouf@debian.org>  Mon, 20 Jan 2025 21:51:18 +0100

kdevelop-php (23.08.1-1) unstable; urgency=medium

  * New upstream release.
  * Bump the kdevelop-dev build dependency to 23.08.1, as indicated by the
    upstream build system.
  * Bump KDEV_PLUGIN_VERSION to 512, according to upstream.
  * Remove an obsolete maintscript entry.

 -- Pino Toscano <pino@debian.org>  Sun, 24 Sep 2023 17:28:30 +0200

=== debian/control ===
Source: kdevelop-php
Section: devel
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Pino Toscano <pino@debian.org>,
Build-Depends: debhelper-compat (= 13),
               dh-sequence-kf6,
               cmake (>= 3.16~),
               extra-cmake-modules (>= 6.0.0~),
               gettext,
               kdevelop-dev (>= 4:24.12~),
               kdevelop-pg-qt (>= 2.3~),
               libkf6i18n-dev (>= 6.0.0~),
               libkf6kcmutils-dev (>= 6.0.0~),
               libkf6texteditor-dev (>= 6.0.0~),
               libkf6threadweaver-dev (>= 6.0.0~),
               qt6-base-dev (>= 6.5.0~),
Standards-Version: 4.7.0
Rules-Requires-Root: no
Homepage: https://www.kdevelop.org/
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kdevelop-php
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kdevelop-php.git

Package: kdevelop-php
Architecture: any
Pre-Depends: ${misc:Pre-Depends},
Depends: ${misc:Depends}, ${shlibs:Depends},
Recommends: kdevelop,
Suggests: kdevelop-php-l10n,
Enhances: kdevelop,
Description: PHP plugin for KDevelop
 KDevelop is an easy to use integrated development environment for KDE.
 It supports a wide range of programming languages and features project
 management, an advanced editor, a class browser and an integrated debugger.
 .
 This package contains the PHP language support plugin.

Package: kdevelop-php-l10n
Section: localization
Architecture: all
Depends: ${misc:Depends},
Description: localization files for KDevelop PHP plugin
 The KDevelop-PHP plugin is the language plugin for the PHP language
 for the KDevelop integrated development environment for KDE.
 .
 This  package contains the localizations for the KDevelop PHP plugin.

## kdevelop-php 24.12.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,9 +1,9 @@
 cmake_minimum_required(VERSION 3.16)
 
 # KDE Gear version, managed by release service script
-set(RELEASE_SERVICE_VERSION_MAJOR "23")
-set(RELEASE_SERVICE_VERSION_MINOR "08")
-set(RELEASE_SERVICE_VERSION_MICRO "5")
+set(RELEASE_SERVICE_VERSION_MAJOR "24")
+set(RELEASE_SERVICE_VERSION_MINOR "12")
+set(RELEASE_SERVICE_VERSION_MICRO "3")
 
 # generate patch level from release service version
 set(_micro ${RELEASE_SERVICE_VERSION_MICRO})
@@ -12,15 +12,14 @@
 endif()
 set(RELEASE_SERVICE_BASED_PATCHLEVEL "${RELEASE_SERVICE_VERSION_MAJOR}${RELEASE_SERVICE_VERSION_MINOR}${_micro}")
 
-project(kdev-php VERSION "5.7.${RELEASE_SERVICE_BASED_PATCHLEVEL}")
+project(kdev-php VERSION "6.0.${RELEASE_SERVICE_BASED_PATCHLEVEL}")
 
-set(CMAKE_CXX_STANDARD 17)
-set(CMAKE_CXX_STANDARD_REQUIRED YES)
-set(QT_MIN_VERSION "5.15.0")
-set(KF5_DEP_VERSION "5.78.0")
+set(KDE_COMPILERSETTINGS_LEVEL 6.0)
+set(QT_MIN_VERSION "6.5.0")
+set(KF_MIN_VERSION "6.0.0")
 
 find_package(Threads)
-find_package (ECM ${KF5_DEP_VERSION} REQUIRED NO_MODULE)
+find_package (ECM ${KF_MIN_VERSION} REQUIRED)
 set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} ${ECM_MODULE_PATH})
 
 include(KDEInstallDirs)
@@ -34,20 +33,24 @@
 include(ECMSetupVersion)
 include(FeatureSummary)
 
-find_package(Qt5 ${QT_MIN_VERSION} CONFIG REQUIRED Core Widgets)
+find_package(Qt6 ${QT_MIN_VERSION} REQUIRED COMPONENTS
+    Core
+    Widgets
+)
 
-find_package(KF5 ${KF5_DEP_VERSION} REQUIRED COMPONENTS
+find_package(KF6 ${KF_MIN_VERSION} REQUIRED COMPONENTS
     ThreadWeaver
     TextEditor
     I18n
     KCMUtils
 )
 if(BUILD_TESTING)
-  find_package(Qt5Test ${QT_MIN_VERSION} CONFIG REQUIRED)
+  find_package(Qt6Test ${QT_MIN_VERSION} REQUIRED)
 endif()
+
 # KDevplatform dependency version
 set(KDEVPLATFORM_VERSION "${PROJECT_VERSION_MAJOR}.${PROJECT_VERSION_MINOR}")
-find_package(KDevPlatform ${KDEVPLATFORM_VERSION} CONFIG REQUIRED)
+find_package(KDevPlatform ${KDEVPLATFORM_VERSION} REQUIRED)
 
 ecm_setup_version(
     ${PROJECT_VERSION}
@@ -56,17 +59,25 @@
     PACKAGE_VERSION_FILE "${CMAKE_CURRENT_BINARY_DIR}/KDevPHPConfigVersion.cmake"
 )
 
-
 set(KDEVPHP_INCLUDE_DIR ${KDE_INSTALL_INCLUDEDIR}/kdev-php)
 set(KDEVPHP_PRIVATE_INCLUDE_DIR ${KDEVPHP_INCLUDE_DIR}/private/${PROJECT_VERSION_MAJOR}.${PROJECT_VERSION_MINOR})
 
-find_package(KDevelop-PG-Qt REQUIRED)
+find_package(KDevelop-PG-Qt 2.3 REQUIRED)
 
 if (CMAKE_CXX_COMPILER_ID MATCHES "Clang")
     set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wdocumentation")
 endif()
 
 add_definitions( -DTRANSLATION_DOMAIN=\"kdevphp\" )
+
+# TODO: we also need to fix kdevelop-pg-qt before we can remove these
+remove_definitions(
+    -DQT_NO_FOREACH
+    -DQT_NO_KEYWORDS
+    -DQT_NO_CAST_FROM_ASCII
+    -DQT_NO_CAST_FROM_BYTEARRAY
+    -DQT_NO_CAST_TO_ASCII
+)
 
 include_directories(
     ${KDEVPGQT_INCLUDE_DIR}
@@ -104,8 +115,8 @@
     kdevphpparser
     kdevphpcompletion
 
-    KF5::I18n
-    KF5::TextEditor
+    KF6::I18n
+    KF6::TextEditor
 
     Threads::Threads
 )

=== completion/CMakeLists.txt ===
if (BUILD_TESTING)
    add_subdirectory(tests)
endif()

set(completion_SRCS
    worker.cpp
    item.cpp
    implementationitem.cpp
    includefileitem.cpp
    keyworditem.cpp
    context.cpp
    model.cpp
    helpers.cpp
    codemodelitem.cpp
)
ecm_qt_declare_logging_category(completion_SRCS
    HEADER completiondebug.h
    IDENTIFIER COMPLETION
    CATEGORY_NAME "kdevelop.plugins.php.completion"
    DESCRIPTION "KDevelop plugin: PHP language support - codecompletion"
    EXPORT KDEVPHP
)

add_library( kdevphpcompletion SHARED ${completion_SRCS} )
generate_export_header( kdevphpcompletion EXPORT_MACRO_NAME KDEVPHPCOMPLETION_EXPORT
                                           EXPORT_FILE_NAME phpcompletionexport.h)

target_link_libraries(kdevphpcompletion LINK_PRIVATE
    KDev::Language
    KDev::Interfaces
    KDev::Project
    kdevphpduchain
    kdevphpparser
)

install(TARGETS kdevphpcompletion EXPORT KDevPHPTargets DESTINATION ${KDE_INSTALL_TARGETS_DEFAULT_ARGS})

=== debian/changelog ===
kdevelop-php (24.12.3-1ubuntu2) plucky; urgency=medium

  * Limit build to architectures where kdevelop-dev is available.

 -- Rik Mills <rikmills@kde.org>  Mon, 24 Mar 2025 09:46:49 +0000

kdevelop-php (24.12.3-1ubuntu1) plucky; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - Kubuntu Vcs and maintainer fields.

 -- Rik Mills <rikmills@kde.org>  Mon, 24 Mar 2025 09:33:48 +0000

kdevelop-php (24.12.3-1) unstable; urgency=medium

  * New upstream release.
  * Bump Standards-Version to 4.7.2, no changes required.
  * Concatenate all the keys in debian/upstream/signing-key.asc.
  * Bump the kdevelop-dev build dependency to 24.12.3, as indicated by the
    upstream build system.

 -- Pino Toscano <pino@debian.org>  Mon, 24 Mar 2025 06:39:52 +0100

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: kdevelop-php
 Section: devel
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Pino Toscano <pino@debian.org>,
 Build-Depends: debhelper-compat (= 13),
@@ -9,21 +10,21 @@
                cmake (>= 3.16~),
                extra-cmake-modules (>= 6.0.0~),
                gettext,
-               kdevelop-dev (>= 4:24.12~),
+               kdevelop-dev (>= 4:24.12.3~),
                kdevelop-pg-qt (>= 2.3~),
                libkf6i18n-dev (>= 6.0.0~),
                libkf6kcmutils-dev (>= 6.0.0~),
                libkf6texteditor-dev (>= 6.0.0~),
                libkf6threadweaver-dev (>= 6.0.0~),
                qt6-base-dev (>= 6.5.0~),
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Rules-Requires-Root: no
 Homepage: https://www.kdevelop.org/
-Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kdevelop-php
-Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kdevelop-php.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kdev-php
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kdev-php
 
 Package: kdevelop-php
-Architecture: any
+Architecture: amd64 arm64 armhf
 Pre-Depends: ${misc:Pre-Depends},
 Depends: ${misc:Depends}, ${shlibs:Depends},
 Recommends: kdevelop,

=== debian/rules ===
--- 
+++ 
@@ -1,4 +1,6 @@
 #!/usr/bin/make -f
+
+export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1

## kdevelop-php 25.04.3

=== debian/changelog ===
kdevelop-php (25.04.3-0ubuntu1) questing; urgency=medium

  * New upstream release (25.04.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 03 Jul 2025 07:42:07 +0100

kdevelop-php (25.04.2-0ubuntu1) questing; urgency=medium

  * New upstream release (25.04.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 05 Jun 2025 11:43:59 +0100

kdevelop-php (25.04.1-0ubuntu1) questing; urgency=medium

  * New upstream release (25.04.1)

 -- Rik Mills <rikmills@kde.org>  Wed, 07 May 2025 22:05:38 +0100

kdevelop-php (25.04.0-0ubuntu1) questing; urgency=medium

  * New upstream release (25.04.0)
  * d/rules: Bump KDEV_PLUGIN_VERSION to 62

 -- Rik Mills <rikmills@kde.org>  Wed, 30 Apr 2025 19:48:20 +0100

=== debian/control ===
--- 
+++ 
@@ -5,12 +5,12 @@
 XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Pino Toscano <pino@debian.org>,
-Build-Depends: debhelper-compat (= 13),
+Build-Depends: cmake (>= 3.16~),
+               debhelper-compat (= 13),
                dh-sequence-kf6,
-               cmake (>= 3.16~),
                extra-cmake-modules (>= 6.0.0~),
                gettext,
-               kdevelop-dev (>= 4:24.12.3~),
+               kdevelop-dev (>= 4:25.04.3~),
                kdevelop-pg-qt (>= 2.3~),
                libkf6i18n-dev (>= 6.0.0~),
                libkf6kcmutils-dev (>= 6.0.0~),

=== debian/rules ===
--- 
+++ 
@@ -6,7 +6,7 @@
 #export DH_VERBOSE=1
 
 # from kdevelop
-export KDEV_PLUGIN_VERSION=61
+export KDEV_PLUGIN_VERSION=62
 
 %:
 	dh $@

## kdevelop-php 25.07.80

=== debian/changelog ===
kdevelop-php (25.07.80-0ubuntu1) questing; urgency=medium

  * New upstream (beta) release (25.07.80)
  * d/rules: Bump KDEV_PLUGIN_VERSION to 63.

 -- Rik Mills <rikmills@kde.org>  Sun, 13 Jul 2025 13:23:21 +0100

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
                dh-sequence-kf6,
                extra-cmake-modules (>= 6.0.0~),
                gettext,
-               kdevelop-dev (>= 4:25.04.3~),
+               kdevelop-dev (>= 4:25.07.80~),
                kdevelop-pg-qt (>= 2.3~),
                libkf6i18n-dev (>= 6.0.0~),
                libkf6kcmutils-dev (>= 6.0.0~),

## kdevelop-php 25.07.90

=== debian/changelog ===
kdevelop-php (25.07.90-0ubuntu1) questing; urgency=medium

  * New upstream (RC) release (25.07.90)

 -- Rik Mills <rikmills@kde.org>  Fri, 25 Jul 2025 17:44:16 +0100

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
                dh-sequence-kf6,
                extra-cmake-modules (>= 6.0.0~),
                gettext,
-               kdevelop-dev (>= 4:25.07.80~),
+               kdevelop-dev (>= 4:25.07.90~),
                kdevelop-pg-qt (>= 2.3~),
                libkf6i18n-dev (>= 6.0.0~),
                libkf6kcmutils-dev (>= 6.0.0~),

## kdevelop-php 25.08.0

=== debian/changelog ===
kdevelop-php (25.08.0-0ubuntu1) questing; urgency=medium

  * New upstream release (25.08.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 14 Aug 2025 11:51:47 +0100

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
                dh-sequence-kf6,
                extra-cmake-modules (>= 6.0.0~),
                gettext,
-               kdevelop-dev (>= 4:25.07.90~),
+               kdevelop-dev (>= 4:25.08.0~),
                kdevelop-pg-qt (>= 2.3~),
                libkf6i18n-dev (>= 6.0.0~),
                libkf6kcmutils-dev (>= 6.0.0~),

## kdevelop-php 25.08.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,9 +1,9 @@
 cmake_minimum_required(VERSION 3.16)
 
 # KDE Gear version, managed by release service script
-set(RELEASE_SERVICE_VERSION_MAJOR "24")
-set(RELEASE_SERVICE_VERSION_MINOR "12")
-set(RELEASE_SERVICE_VERSION_MICRO "3")
+set(RELEASE_SERVICE_VERSION_MAJOR "25")
+set(RELEASE_SERVICE_VERSION_MINOR "08")
+set(RELEASE_SERVICE_VERSION_MICRO "1")
 
 # generate patch level from release service version
 set(_micro ${RELEASE_SERVICE_VERSION_MICRO})
@@ -62,7 +62,14 @@
 set(KDEVPHP_INCLUDE_DIR ${KDE_INSTALL_INCLUDEDIR}/kdev-php)
 set(KDEVPHP_PRIVATE_INCLUDE_DIR ${KDEVPHP_INCLUDE_DIR}/private/${PROJECT_VERSION_MAJOR}.${PROJECT_VERSION_MINOR})
 
-find_package(KDevelop-PG-Qt 2.3 REQUIRED)
+find_package(KDevelopPGQt 2.4 QUIET) # TODO (once we require KDevelopPGQt version 2.4 or later): change QUIET to REQUIRED
+if (KDevelopPGQt_FOUND)
+    set_package_properties(KDevelopPGQt PROPERTIES
+        TYPE REQUIRED
+    )
+else()
+    find_package(KDevelop-PG-Qt 2.3 REQUIRED)
+endif()
 
 if (CMAKE_CXX_COMPILER_ID MATCHES "Clang")
     set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wdocumentation")
@@ -79,8 +86,13 @@
     -DQT_NO_CAST_TO_ASCII
 )
 
+if (NOT KDevelopPGQt_FOUND)
+    include_directories(
+        ${KDEVPGQT_INCLUDE_DIR}
+    )
+endif()
+
 include_directories(
-    ${KDEVPGQT_INCLUDE_DIR}
     ${CMAKE_SOURCE_DIR}
 )

=== parser/CMakeLists.txt ===
if (BUILD_TESTING)
    add_subdirectory(test)
endif()

set(parser_STAT_SRCS
    phplexer.cpp
    parsesession.cpp
)

if (KDevelopPGQt_FOUND)
    kdeveloppgqt_generate(parser_SRCS php
        NAMESPACE Php
        DEBUG_VISITOR
        TOKEN_TEXT
        "${CMAKE_CURRENT_SOURCE_DIR}/php.g"
        "${CMAKE_CURRENT_SOURCE_DIR}/phplexer.h"
    )
else()
    kdevpgqt_generate(parser_SRCS php NAMESPACE Php DEBUG_VISITOR TOKEN_TEXT
        "${CMAKE_CURRENT_SOURCE_DIR}/php.g"
        "${CMAKE_CURRENT_SOURCE_DIR}/phplexer.h"
    )
endif()
ecm_qt_declare_logging_category(parser_SRCS
    HEADER parserdebug.h
    IDENTIFIER PARSER
    CATEGORY_NAME "kdevelop.plugins.php.parser"
    DESCRIPTION "KDevelop plugin: PHP language support - parser"
    EXPORT KDEVPHP
)

add_library(kdevphpparser SHARED ${parser_SRCS} ${parser_STAT_SRCS})

generate_export_header(kdevphpparser EXPORT_MACRO_NAME KDEVPHPPARSER_EXPORT
                                      EXPORT_FILE_NAME parserexport.h)
target_link_libraries(kdevphpparser LINK_PRIVATE
    KDev::Language
    KF6::I18n
)
if (KDevelopPGQt_FOUND)
    target_link_libraries(kdevphpparser LINK_PUBLIC
        KDevelopPGQt::Utils
    )
endif()

# hack to make phpdebugvisitor.h (generated at compile time)
# use the correct EXPORT tags when compiling in MinGW
if (MINGW)
    add_definitions(-DMAKE_KDEV4PHPPARSER_LIB)
endif (MINGW)

target_include_directories(kdevphpparser
    PUBLIC $<INSTALL_INTERFACE:${KDEVPHP_PRIVATE_INCLUDE_DIR}/parser>
    PUBLIC $<INSTALL_INTERFACE:${KDEVPHP_PRIVATE_INCLUDE_DIR}>
    PUBLIC $<INSTALL_INTERFACE:${KDEVPHP_INCLUDE_DIR}>
)

if (BUILD_TESTING)
    add_executable(php-parser main.cpp)
    target_link_libraries(php-parser
        KDev::Tests
        KDev::Language
        kdevphpparser
    )
endif()

install(TARGETS kdevphpparser EXPORT KDevPHPTargets DESTINATION ${KDE_INSTALL_TARGETS_DEFAULT_ARGS})
install(FILES
    parsesession.h
    phplexer.h
    tokenstream.h
    DESTINATION ${KDEVPHP_INCLUDE_DIR}/parser
    COMPONENT Devel
)

install(FILES
    ${CMAKE_CURRENT_BINARY_DIR}/parserexport.h
    ${CMAKE_CURRENT_BINARY_DIR}/phpast-fwd.h
    ${CMAKE_CURRENT_BINARY_DIR}/phpast.h
    ${CMAKE_CURRENT_BINARY_DIR}/phpdebugvisitor.h
    ${CMAKE_CURRENT_BINARY_DIR}/phpdefaultvisitor.h
    ${CMAKE_CURRENT_BINARY_DIR}/phpparser.h
    ${CMAKE_CURRENT_BINARY_DIR}/phptokentext.h
    ${CMAKE_CURRENT_BINARY_DIR}/phptokentype.h
    ${CMAKE_CURRENT_BINARY_DIR}/phpvisitor.h
    DESTINATION ${KDEVPHP_PRIVATE_INCLUDE_DIR}/parser
    COMPONENT Devel
)

=== parser/test/CMakeLists.txt ===
ecm_add_test(
    lexertest.cpp
    LINK_LIBRARIES
        kdevphpparser
        Qt::Test
        Qt::Core
        KDev::Language
)

# hack to make ../phpdebugvisitor.h (generated at compile time)
# use the correct EXPORT tags when compiling in MinGW
if (MINGW)
    add_definitions(-DMAKE_KDEV4PHPPARSER_LIB)
endif (MINGW)

=== debian/changelog ===
kdevelop-php (25.08.1-0ubuntu1) questing; urgency=medium

  * New upstream release (25.08.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 11 Sep 2025 07:07:20 +0100

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
                dh-sequence-kf6,
                extra-cmake-modules (>= 6.0.0~),
                gettext,
-               kdevelop-dev (>= 4:25.08.0~),
+               kdevelop-dev (>= 4:25.08.1~),
                kdevelop-pg-qt (>= 2.3~),
                libkf6i18n-dev (>= 6.0.0~),
                libkf6kcmutils-dev (>= 6.0.0~),

=== debian/rules ===
--- 
+++ 
@@ -6,7 +6,7 @@
 #export DH_VERBOSE=1
 
 # from kdevelop
-export KDEV_PLUGIN_VERSION=62
+export KDEV_PLUGIN_VERSION=63
 
 %:
 	dh $@

## kdevelop-php 25.08.1+p24.04+vstable+git20250910.0615

=== debian/changelog ===
kdevelop-php (25.08.1+p24.04+vstable+git20250910.0615-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 10 Sep 2025 06:15:06 +0000

kdevelop-php (25.08.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 09 Sep 2025 08:57:19 +0000

kdevelop-php (25.08.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 14 Aug 2025 12:32:21 +0000

kdevelop-php (25.04.3-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 05 Jul 2025 11:12:50 +0000

kdevelop-php (25.04.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 05 Jun 2025 10:30:13 +0000

kdevelop-php (25.04.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 08 May 2025 04:19:42 +0000

kdevelop-php (25.04.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 17 Apr 2025 11:04:19 +0000

kdevelop-php (24.12.3-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 08 Mar 2025 13:32:07 +0000

kdevelop-php (24.12.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 07 Feb 2025 14:42:19 +0000

kdevelop-php (24.12.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 09 Jan 2025 19:32:51 +0000

kdevelop-php (24.12.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 11 Dec 2024 18:29:32 +0000

kdevelop-php (24.08.3-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 07 Nov 2024 10:29:55 +0000

kdevelop-php (24.08.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 14 Oct 2024 21:03:09 +0000

kdevelop-php (24.08.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sun, 22 Sep 2024 07:40:48 +0000

kdevelop-php (24.08.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 19 Jun 2024 09:58:10 +0000

kdevelop-php (24.05.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 20 Mar 2024 17:02:44 +0000

kdevelop-php (24.02.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 24 Feb 2024 03:48:08 +0000

kdevelop-php (23.08.5-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 19 Feb 2024 14:44:04 +0000

kdevelop-php (23.08.4-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 06 Dec 2023 16:26:00 +0000

kdevelop-php (23.08.3-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 10 Nov 2023 09:19:14 +0000

kdevelop-php (23.08.2-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 11 Oct 2023 17:03:45 +0000

kdevelop-php (23.08.1-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 14 Sep 2023 00:44:08 +0000

kdevelop-php (23.08.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 24 Aug 2023 09:34:30 +0000

kdevelop-php (23.04.3-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 06 Jun 2023 22:01:07 +0000

## kdevelop-php 25.08.1+p24.04+vstable+git20251002.0436

=== debian/changelog ===
kdevelop-php (25.08.1+p24.04+vstable+git20251002.0436-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Thu, 02 Oct 2025 04:36:48 +0000

## kdevelop-php 25.08.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -3,7 +3,7 @@
 # KDE Gear version, managed by release service script
 set(RELEASE_SERVICE_VERSION_MAJOR "25")
 set(RELEASE_SERVICE_VERSION_MINOR "08")
-set(RELEASE_SERVICE_VERSION_MICRO "1")
+set(RELEASE_SERVICE_VERSION_MICRO "2")
 
 # generate patch level from release service version
 set(_micro ${RELEASE_SERVICE_VERSION_MICRO})

=== testprovider/CMakeLists.txt ===
set(kdevphpunitprovider_PLUGIN_SRCS
    phpunitprovider.cpp
    phpunittestsuite.cpp
    phpunitrunjob.cpp
    testdoxdelegate.cpp
)
ecm_qt_declare_logging_category(kdevphpunitprovider_PLUGIN_SRCS
    HEADER testproviderdebug.h
    IDENTIFIER TESTPROVIDER
    CATEGORY_NAME "kdevelop.plugins.php.testprovider"
    DESCRIPTION "KDevelop plugin: PHP language support - testprovider"
    EXPORT KDEVPHP
)

kdevplatform_add_plugin(kdevphpunitprovider
    JSON kdevphpunitprovider.json
    SOURCES ${kdevphpunitprovider_PLUGIN_SRCS}
)

target_link_libraries(kdevphpunitprovider LINK_PRIVATE
    KDev::Interfaces
    KDev::Language
    KDev::Project
    KDev::OutputView
    KDev::Util
)

install(FILES phpunitdeclarations.php DESTINATION ${KDE_INSTALL_DATADIR}/kdevphpsupport)

=== completion/tests/CMakeLists.txt ===
ecm_add_test(
    test_completion.cpp
    ../../duchain/tests/duchaintestbase.cpp
    TEST_NAME completiontest
    LINK_LIBRARIES
        kdevphpcompletion
        kdevphpduchain
        kdevphpparser
        Qt::Test
        KDev::Tests
        KDev::Language
)

ecm_add_test(
    bench_completion.cpp
    ../../duchain/tests/duchaintestbase.cpp
    TEST_NAME completionbenchmark
    LINK_LIBRARIES
        kdevphpcompletion
        kdevphpduchain
        kdevphpparser

        Qt::Test
        KDev::Tests
        KDev::Language
)

=== debian/changelog ===
kdevelop-php (25.08.2-0ubuntu1) resolute; urgency=medium

  * New upstream release (25.08.2)

 -- Rik Mills <rikmills@kde.org>  Fri, 17 Oct 2025 11:44:28 +0100

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
                dh-sequence-kf6,
                extra-cmake-modules (>= 6.0.0~),
                gettext,
-               kdevelop-dev (>= 4:25.08.1~),
+               kdevelop-dev (>= 4:25.08.2~),
                kdevelop-pg-qt (>= 2.3~),
                libkf6i18n-dev (>= 6.0.0~),
                libkf6kcmutils-dev (>= 6.0.0~),

=== debian/watch ===
version=4
opts=pgpsigurlmangle=s/$/.sig/ https://download.kde.org/stable/release-service/([\d.]+)/src/kdev-php-([\d.]+)\.tar\.xz
